FIELD ID, FNAME, SNAME

/*Ŀ
  Function Main                                                            
  Purpose  Well, guess what?  It's the main function                       
  Date-Time02-07-97 05:37pm                                                
  CopyrightDark Black Software Ltd.             Date updated: 02-07-97     
  Author   Ian 'DrDebug' Day                    Time updated: 05:37:57pm   
  */
FUNCTION Main

   LOCAL nHandle, aFiles, cFileName
   LOCAL aStru := {{"ID",    "C", 6, 0},;
                   {"FNAME", "C", 30, 0},;
                   {"SNAME", "C", 30, 0}}

   altd()

   aFiles := Directory("C:\", "V")
   IF Len(aFiles) > 0
      ? aFiles[1][1]
   ENDIF

   aFiles := Directory("C:\Program Files\*.*", "D")

   SortItOut(aFiles)

   IF LFNSupport()
      ? "Long filename support is available"
      cFileName := "Long Filename"
   ELSE
      ? "No Long filename support"
      cFileName := "SHORT"
   ENDIF

   IF !File(cFileName + ".DBF")
      dbCreate(cFileName, aStru)
   ENDIF

   ? "LFNShort('" + cFilename + "'): " + LFNShort(cFilename + ".DBF")

   USE (cFileName) NEW ALIAS Names

   INDEX ON ID TO (cFileName)

   SET INDEX TO (cFileName)

RETURN (NIL)

/*Ŀ
  Function SortItOut                                                       
  Purpose  Sort out the Directory() array                                  
  Date-Time02-07-97 05:37pm                                                
  CopyrightDark Black Software Ltd.             Date updated: 02-07-97     
  Author   Ian 'DrDebug' Day                    Time updated: 05:37:37pm   
  */
FUNCTION SortItOut(aFiles)

   LOCAL nLoop

   FOR nLoop := Len(aFiles) TO 1 STEP -1
      aFiles[nLoop] := aFiles[nLoop][1]
   NEXT nLoop

RETURN (NIL)
