/*
    MOUSINIT.PRG

    Mouse initialization routines for programs using MOUSCLOC.LIB.

    Kevin Carmody, NSI

*/

//---------------------------------------------------------------------------

ANNOUNCE MousInit

#INCLUDE 'MOUSCLOC.CH'

//---------------------------------------------------------------------------

INIT PROCEDURE McInit()

IF MouseExist()
  MouseReset(0,0)
ELSE
  McSet(MCSET_MACTIVE, .N.)
  McSet(MCSET_MCURSOR, .N.)
ENDIF

RETURN  //  McInit

//---------------------------------------------------------------------------

EXIT PROCEDURE McExit()

MouseHide()

RETURN  //  McExit

//---------------------------------------------------------------------------

// End of MOUSINIT.PRG