/*

  DBE.CH

  Header file for DBE.

*/

//***************************************************************************

#DEFINE  DATA_ALIAS       1
#DEFINE  DATA_TABLEFILE   2
#DEFINE  DATA_TABLEPATH   3
#DEFINE  DATA_AREA        4
#DEFINE  DATA_EXCLUSIVE   5
#DEFINE  DATA_READONLY    6
#DEFINE  DATA_DRIVER      7
#DEFINE  DATA_TABLEEXT    8
#DEFINE  DATA_BAGEXT      9
#DEFINE  DATA_MULTITAG   10
#DEFINE  DATA_CONDORDER  11
#DEFINE  DATA_EVALORDER  12
#DEFINE  DATA_ORDPOS     13
#DEFINE  DATA_NORDER     14
#DEFINE  DATA_NRELATION  15
#DEFINE  DATA_NFILTER    16
#DEFINE  DATA_NFIELD     17
#DEFINE  DATA_BFIELD     18
#DEFINE  DATA_FLDCOLEN   19
#DEFINE  DATA_RECNOLEN   20
#DEFINE  DATA_BAGFILE    21
#DEFINE  DATA_OATTRIB    22
#DEFINE  DATA_ORDER      23
#DEFINE  DATA_RELATION   24
#DEFINE  DATA_FILTER     25
#DEFINE  DATA_STRUC      26
#DEFINE  DATA_FIELD      27
#DEFINE  DATA_BROWSE     28
#DEFINE  DATA_HORIZ      29
#DEFINE  DATA_CENTER     30
#DEFINE  DATA_FINIT      31
#DEFINE  DATA_FMAX       32
#DEFINE  DATA_FSORT      33
#DEFINE  DATA_SCREEN     34
#DEFINE  DATA_TOTAL      34

#DEFINE  DATA_ONAME       1
#DEFINE  DATA_OBAGFILE    2
#DEFINE  DATA_OBAGPATH    3
#DEFINE  DATA_OKEY        4
#DEFINE  DATA_OFOR        5
#DEFINE  DATA_OUNIQUE     6
#DEFINE  DATA_ODESCEND    7
#DEFINE  DATA_OTOTAL      7

#DEFINE  DATA_RALIAS      1
#DEFINE  DATA_REXP        2
#DEFINE  DATA_RBLOCK      3
#DEFINE  DATA_RTOTAL      3

#DEFINE  DATA_LNAME       1
#DEFINE  DATA_LEXP        2
#DEFINE  DATA_LBLOCK      3
#DEFINE  DATA_LTOTAL      3

#DEFINE  DATA_SNAME       1
#DEFINE  DATA_STYPE       2
#DEFINE  DATA_SLEN        3
#DEFINE  DATA_SDEC        4
#DEFINE  DATA_SNUM        5
#DEFINE  DATA_SPOS        6
#DEFINE  DATA_STOTAL      6

#DEFINE  DATA_FNAME       1
#DEFINE  DATA_FALIAS      2
#DEFINE  DATA_FEXP        3
#DEFINE  DATA_FBLOCK      4
#DEFINE  DATA_FEDIT       5
#DEFINE  DATA_FTYPE       6
#DEFINE  DATA_FLEN        7
#DEFINE  DATA_FDEC        8
#DEFINE  DATA_FNUM        9
#DEFINE  DATA_FTOTAL      9

#DEFINE  SYS_VERSION      1
#DEFINE  SYS_ERROR        2
#DEFINE  SYS_DSCREEN      3
#DEFINE  SYS_DCOLOR       4
#DEFINE  SYS_DBLINK       5
#DEFINE  SYS_DROW         6
#DEFINE  SYS_DCOL         7
#DEFINE  SYS_DCURSOR      8
#DEFINE  SYS_DMAXROW      9
#DEFINE  SYS_DARGS       10
#DEFINE  SYS_BSCREEN     11
#DEFINE  SYS_SELECT      13
#DEFINE  SYS_QBROWSE     14
#DEFINE  SYS_QLIMIT      15
#DEFINE  SYS_MAINPAD     16
#DEFINE  SYS_ETOP        17
#DEFINE  SYS_SSLINES     18
#DEFINE  SYS_LSLINES     19
#DEFINE  SYS_KRLEFT      20
#DEFINE  SYS_KRRIGHT     21
#DEFINE  SYS_KRLINE      22
#DEFINE  SYS_NRLINE      23
#DEFINE  SYS_KRLAST      24
#DEFINE  SYS_QSETUP      25
#DEFINE  SYS_CSETUP      26
#DEFINE  SYS_BSETUP      27
#DEFINE  SYS_ESETUP      28
#DEFINE  SYS_RSETUP      29
#DEFINE  SYS_EINCSEA     30
#DEFINE  SYS_HOTKEY      31
#DEFINE  SYS_COLOR       32
#DEFINE  SYS_OMCOLOR     33
#DEFINE  SYS_PRINTCODE   34
#DEFINE  SYS_ICURSOR     35
#DEFINE  SYS_OCURSOR     36
#DEFINE  SYS_MEMOWIDTH   37
#DEFINE  SYS_MEMOTAB     38
#DEFINE  SYS_ODOMETER    39
#DEFINE  SYS_GOREC       40
#DEFINE  SYS_DRAW        41
#DEFINE  SYS_HISTORY     42
#DEFINE  SYS_MEMVAR      43
#DEFINE  SYS_MEMREFRESH  44
#DEFINE  SYS_LOCAL       45
#DEFINE  SYS_CONTEXT     46
#DEFINE  SYS_TOTAL       46

#DEFINE  SETUP_TABLE      1
#DEFINE  SETUP_ORDER      2
#DEFINE  SETUP_RELATION   3
#DEFINE  SETUP_FILTER     4
#DEFINE  SETUP_FIELD      5
#DEFINE  SETUP_TOTAL      5

#DEFINE  ODOM_ROLL        1
#DEFINE  ODOM_TOTAL       2
#DEFINE  ODOM_COUNT       3
#DEFINE  ODOM_INC         4
#DEFINE  ODOM_LEN         5
#DEFINE  ODOM_COLOR       6
#DEFINE  ODOM_ROW         7
#DEFINE  ODOM_CCOL        8
#DEFINE  ODOM_TCOL        9
#DEFINE  ODOM_PCOL       10

#DEFINE  BX_PROMPT        1
#DEFINE  BX_VALUE         2
#DEFINE  BX_BLOCK         3
#DEFINE  BX_PICTURE       4
#DEFINE  BX_EXTENSION     5
#DEFINE  BX_SAYLEN        6
#DEFINE  BX_GETLEN        7
#DEFINE  BX_TOTLEN        8
#DEFINE  BX_SAYROW        9
#DEFINE  BX_SAYCOL       10
#DEFINE  BX_GETROW       11
#DEFINE  BX_GETCOL       12
#DEFINE  BX_TOPROW       13
#DEFINE  BX_BOTROW       14
#DEFINE  BX_PAD          15
#DEFINE  BX_COUNT        15

#DEFINE  BT_DIR           1
#DEFINE  BT_STRUC         2
#DEFINE  BT_COLOR         3

#DEFINE  HK_SH_F1         1
#DEFINE  HK_SH_F2         2
#DEFINE  HK_SH_F3         3
#DEFINE  HK_SH_F4         4
#DEFINE  HK_SH_F5         5
#DEFINE  HK_SH_F6         6
#DEFINE  HK_SH_F7         7
#DEFINE  HK_SH_F8         8
#DEFINE  HK_SH_F9         9
#DEFINE  HK_SH_F10       10
#DEFINE  HK_SH_F11       11
#DEFINE  HK_SH_F12       12

#DEFINE  DC_MAIN          1
#DEFINE  DC_EDIT          2
#DEFINE  DC_MEMOVIEW      3
#DEFINE  DC_MENU          4
#DEFINE  DC_HOTMENU       5
#DEFINE  DC_GETBOX        6
#DEFINE  DC_TABLE         7
#DEFINE  DC_LIST          8
#DEFINE  DC_STATUS        9
#DEFINE  DC_FILEVIEW     10
#DEFINE  DC_MVBROWSE     11
#DEFINE  DC_MVEDIT       12
#DEFINE  DC_MVSTATUS     13
#DEFINE  DC_HELP         14
#DEFINE  DC_QUIT         15
#DEFINE  DC_COUNT        15

#DEFINE  PC_RESET         1
#DEFINE  PC_PITCH         2
#DEFINE  PC_LPI           3
#DEFINE  PC_ORIENT        4
#DEFINE  PC_PAPER         5
#DEFINE  PC_TRAY          6
#DEFINE  PC_BIN           7
#DEFINE  PC_DUPLEX        8
#DEFINE  PC_SYMBOL        9
#DEFINE  PC_COUNT         9

#DEFINE  DBS_NUM          5
#DEFINE  DBS_POS          6

#DEFINE  RP_HEADER        1
#DEFINE  RP_WIDTH         2
#DEFINE  RP_LMARGIN       3
#DEFINE  RP_RMARGIN       4
#DEFINE  RP_LINES         5
#DEFINE  RP_DBLSPACE      6
#DEFINE  RP_BEJECT        7
#DEFINE  RP_AEJECT        8
#DEFINE  RP_PLAIN         9
#DEFINE  RP_SUMMARY      10
#DEFINE  RP_COLUMNS      11
#DEFINE  RP_GROUPS       12
#DEFINE  RP_HEADING      13
#DEFINE  RP_COUNT        13

#DEFINE  RC_TEXT          1
#DEFINE  RC_EXP           2
#DEFINE  RC_TYPE          3
#DEFINE  RC_PICT          4
#DEFINE  RC_HEADTEXT      5
#DEFINE  RC_HEADER        6
#DEFINE  RC_WIDTH         7
#DEFINE  RC_DECIMALS      8
#DEFINE  RC_TOTAL         9
#DEFINE  RC_COUNT         9

#DEFINE  RG_TEXT          1
#DEFINE  RG_EXP           2
#DEFINE  RG_TYPE          3
#DEFINE  RG_HEADER        4
#DEFINE  RG_AEJECT        5
#DEFINE  RG_COUNT         5

#DEFINE  RBSIZ_FILE    1990
#DEFINE  RBSIZ_LENGTHS  110
#DEFINE  RBSIZ_OFFSETS  110
#DEFINE  RBSIZ_EXPRS   1440
#DEFINE  RBSIZ_FIELDS   300
#DEFINE  RBSIZ_PARAMS    24

#DEFINE  RBOFF_EXPSIZE    3
#DEFINE  RBOFF_LENGTHS    5
#DEFINE  RBOFF_OFFSETS  115
#DEFINE  RBOFF_EXPRS    225
#DEFINE  RBOFF_FIELDS  1665
#DEFINE  RBOFF_PARAMS  1965

#DEFINE  RBOFF_FWIDTH     1
#DEFINE  RBOFF_FTOTAL     6
#DEFINE  RBOFF_FDEC       7
#DEFINE  RBOFF_FCONTENT   9
#DEFINE  RBOFF_FHEADER   11

#DEFINE  RBOFF_PGHDR      1
#DEFINE  RBOFF_GRPEXP     3
#DEFINE  RBOFF_SUBEXP     5
#DEFINE  RBOFF_GRPHDR     7
#DEFINE  RBOFF_SUBHDR     9
#DEFINE  RBOFF_PGWIDTH   11
#DEFINE  RBOFF_PGLINES   13
#DEFINE  RBOFF_LMARGIN   15
#DEFINE  RBOFF_RMARGIN   17
#DEFINE  RBOFF_COLCOUNT  19
#DEFINE  RBOFF_DBLSPACE  21
#DEFINE  RBOFF_SUMMARY   22
#DEFINE  RBOFF_AEJECT    23
#DEFINE  RBOFF_OPTION    24

#DEFINE  LB_REMARK        1
#DEFINE  LB_HEIGHT        2
#DEFINE  LB_WIDTH         3
#DEFINE  LB_LMARGIN       4
#DEFINE  LB_LINES         5
#DEFINE  LB_SPACES        6
#DEFINE  LB_ACROSS        7
#DEFINE  LB_FIELDS        8
#DEFINE  LB_COUNT         8

#DEFINE  LF_TEXT          1
#DEFINE  LF_EXP           2
#DEFINE  LF_BLANK         3
#DEFINE  LF_COUNT         3

#DEFINE  LBSIZ_FILE    1034
#DEFINE  LBSIZ_FIELD     60
#DEFINE  LBSIZ_REMARK    60

#DEFINE  LBOFF_FILE      74
#DEFINE  LBOFF_REMARK     2
#DEFINE  LBOFF_HEIGHT    62
#DEFINE  LBOFF_WIDTH     64
#DEFINE  LBOFF_LMARGIN   66
#DEFINE  LBOFF_LINES     68
#DEFINE  LBOFF_SPACES    70
#DEFINE  LBOFF_ACROSS    72

//***************************************************************************

#DEFINE H_INTRO       00000

#DEFINE H_GENERAL     10000
#DEFINE H_PARAM       10100
#DEFINE H_DBEINI      10200
#DEFINE H_DIALOG      10300
#DEFINE H_MOUSE       10400
#DEFINE H_HOTKEYS     10500
#DEFINE H_SETUP       10600
#DEFINE H_DATABROWSE  10700
#DEFINE H_MENUS       10800
#DEFINE H_DRIVERS     10900
#DEFINE H_TRANSFER    11000
#DEFINE H_INCSEARCH   11100
#DEFINE H_MEMOEDIT    11200
#DEFINE H_STRUEDIT    11300
#DEFINE H_DBEFILE     11400
#DEFINE H_DBEKEY      11500
#DEFINE H_KRECORD     11600
#DEFINE H_KRCODE      11700

#DEFINE H_OPENMENU    20000
#DEFINE H_DATAOPEN    20100
#DEFINE H_BOTHOPEN    20200
#DEFINE H_INDOPEN     20300
#DEFINE H_INDCREATE   20400
#DEFINE H_INDRECRE    20500
#DEFINE H_INDDESTROY  20600
#DEFINE H_SETUPEXP    20700
#DEFINE H_SETUPLIST   20701
#DEFINE H_CRESTRU     20800
#DEFINE H_CREFROM     20900
#DEFINE H_DBEREAD     21000
#DEFINE H_DBEWRITE    21100
#DEFINE H_QUIT        21200

#DEFINE H_FILEMENU    30000
#DEFINE H_REPLACE     30100
#DEFINE H_PACK        30200
#DEFINE H_ZAP         30300
#DEFINE H_DELETE      30400
#DEFINE H_RECALL      30500
#DEFINE H_COUNT       30600
#DEFINE H_SUM         30700
#DEFINE H_ACCUM       30800
#DEFINE H_DBEVAL      30900
#DEFINE H_COPYTO      31000
#DEFINE H_APPEND      31100
#DEFINE H_MODISTRU    31200
#DEFINE H_COPYSTRU    31300
#DEFINE H_COPYEXT     31400
#DEFINE H_LISTFILE    31500
#DEFINE H_LISTSTRU    31600
#DEFINE H_FRMUSE      31700
#DEFINE H_LBLUSE      31800
#DEFINE H_JOIN        31900

#DEFINE H_RECMENU     40000
#DEFINE H_NEWRECORD   40100
#DEFINE H_MEMOWRITE   40200
#DEFINE H_MEMOREAD    40300
#DEFINE H_MOVEREC     40400
#DEFINE H_REPLACEFLD  40500
#DEFINE H_SNAPSHOT    40600
#DEFINE H_EDITFIELD   40700
#DEFINE H_ENTERDATA   40800

#DEFINE H_GOMENU      50000
#DEFINE H_SEEK        50100
#DEFINE H_SEEKINC     50200
#DEFINE H_LOCATE      50300
#DEFINE H_LOCCONT     50400
#DEFINE H_GOTO        50500
#DEFINE H_RECSKIP     50600

#DEFINE H_SETMENU     60000
#DEFINE H_LOCAL       60100
#DEFINE H_RELADD      60200
#DEFINE H_RELEDIT     60300
#DEFINE H_FILTADD     60400
#DEFINE H_FILTEDIT    60500
#DEFINE H_KRTOGGLE    60600
#DEFINE H_HOTKEYSET   60700
#DEFINE H_COLORS      60800
#DEFINE H_CURSORS     60900
#DEFINE H_SLINES      61000
#DEFINE H_PRINTCODE   61100

#DEFINE H_VIEWMENU    70000
#DEFINE H_FLDADD      70100
#DEFINE H_FLDEDIT     70200
#DEFINE H_FLDMANAGE   70300

#DEFINE H_UTILMENU    80000
#DEFINE H_COPYCLIP    80100
#DEFINE H_EVAL        80200
#DEFINE H_REPEAT      80300
#DEFINE H_KRPLAY      80400
#DEFINE H_HISTORY     80500
#DEFINE H_PASTEHIST   80510
#DEFINE H_STRUONE     80600
#DEFINE H_STRUALL     80700
#DEFINE H_DIRLOCAL    80800
#DEFINE H_DIRGLOBAL   80900
#DEFINE H_MANLOCAL    81000
#DEFINE H_MANGLOBAL   81100
#DEFINE H_MANTREE     81201
#DEFINE H_MANFILE     81202
#DEFINE H_MANPRINT    81203
#DEFINE H_MANNEW      81204
#DEFINE H_MANCOPY     81205
#DEFINE H_MANRENAME   81206
#DEFINE H_MANLIST     81207
#DEFINE H_MANRETRY    81208
#DEFINE H_ASCTABLE    81300
#DEFINE H_COLORTABLE  81400
#DEFINE H_CALENDAR    81500
#DEFINE H_CALNEW      81501
#DEFINE H_CALLIST     81502
#DEFINE H_MEMEDIT     81600
#DEFINE H_MEMREST     81601
#DEFINE H_MEMSAVE     81602
#DEFINE H_MEMINPUT    81603
#DEFINE H_MEMOUTPUT   81604
#DEFINE H_MEMADD      81605
#DEFINE H_FRMEDIT     81700
#DEFINE H_FRMHEAD     81701
#DEFINE H_FRMPARAM    81702
#DEFINE H_FRMGROUP    81703
#DEFINE H_FRMCOLADD   81704
#DEFINE H_FRMCOLEDIT  81705
#DEFINE H_FRMFORM     81706
#DEFINE H_FRMLIST     81707
#DEFINE H_LBLEDIT     81800
#DEFINE H_LBLPARAM    81801
#DEFINE H_LBLREMARK   81802
#DEFINE H_LBLLINE     81803
#DEFINE H_LBLFORM     81804
#DEFINE H_LBLLIST     81805

#DEFINE H_HELPMENU    90000
#DEFINE H_CONTEXT     90100
#DEFINE H_CONTENTS    90200
#DEFINE H_INDEX       90300
#DEFINE H_FIND        90400
#DEFINE H_HELPTEXT    90500
#DEFINE H_HELPWRITE   90600

#DEFINE H_ABOUT      100000
#DEFINE H_LICENSE    100100

#DEFINE HP_HOTMEN         1
#DEFINE HP_SHORTSETUP     2
#DEFINE HP_SHORTDATA      3
#DEFINE HP_HOTKEY         4
#DEFINE HP_ASTERISK       5
#DEFINE HP_FILENAME       6
#DEFINE HP_PRINTER        7
#DEFINE HP_ALIAS          8
#DEFINE HP_DRIVER         9
#DEFINE HP_EXREAD        10
#DEFINE HP_CONDITION     11
#DEFINE HP_ADDITIVE      12
#DEFINE HP_PRINTCODE     13
#DEFINE HP_FLDMOD        14
#DEFINE HP_FLDSTRU       15
#DEFINE HP_FLDCOLS       16
#DEFINE HP_MANLOC        17
#DEFINE HP_MANGLOB       18
#DEFINE HP_MANDISP       19
#DEFINE HP_MANEDIT       20
#DEFINE HP_MANINC        21
#DEFINE HP_CHARFIT       22
#DEFINE HP_FRMCOL        23
#DEFINE HP_HELPBROWSE    24

//***************************************************************************